local UserGetQuestionnaireListMessage = BaseClass("UserGetQuestionnaireListMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.QNManager:InitQNData(t)
  end
end
UserGetQuestionnaireListMessage.OnCreate = OnCreate
UserGetQuestionnaireListMessage.HandleMessage = HandleMessage
return UserGetQuestionnaireListMessage
